- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CAutoAnimation Class Reference

Inheritance diagram for Exponent::GUI::Controls::CAutoAnimation:

List of all members.

## Detailed Description

Displays an animation automatically looping at begining and end using timers.

Date:
  11/04/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CAutoAnimation.hpp,v 1.6 2007/02/08 21:07:54 paul Exp

Definition at line 37 of file CAutoAnimation.hpp.

## Public Types

- enum EAnimationStyle {
  e_forward = 0,
  e_backward,
  e_bounce,
  e_forwardLoop,
  e_backwardLoop
  }
    Enumerators of animation styles. More...

## Public Member Functions

- CAutoAnimation (IControlRoot *root, const long uniqueId, const CRect &area)
- virtual long getTimerId () const
- virtual void setAnimationImage (IImage *theImage, const long heightOfEachFrame, const long numberOfFrames)
- virtual void setAnimationStyle (const EAnimationStyle style)
- virtual void startAnimation (const long updateRateInMillseconds)
- virtual void stopAnimation ()
- virtual void timerExpired ()
- virtual ~CAutoAnimation ()

## Protected Attributes

- EAnimationStyle m_animationStyle
- bool m_forward
- double m_stepIncrement

## Member Enumeration Documentation

enum Exponent::GUI::Controls::CAutoAnimation::EAnimationStyle

Enumerators of animation styles.

Enumerator:

  e_forward | start to end
  e_backward | end to start
  e_bounce | forward then backward, in loop
  e_forwardLoop | start to end, jump back to start and loop
  e_backwardLoop | end to start, jump back to end and loop

Definition at line 53 of file CAutoAnimation.hpp.

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CAutoAnimation::CAutoAnimation | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area |
| ) |  |  |

Construction

Parameters:

  | root | The root control that this control is being added to
  | uniqueId | The unique Identifier of this control or CCONTROL_NO_ID_REQUIRED if no id is required
  | area | The area of this control relative to the root controls top left

virtual Exponent::GUI::Controls::CAutoAnimation::~CAutoAnimation | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual long Exponent::GUI::Controls::CAutoAnimation::getTimerId | ( |  | ) | const`[inline, virtual]`

Get the id

Return values:

  | long | The timer identifier

Implements Exponent::GUI::Basics::ITimedObject.

Definition at line 104 of file CAutoAnimation.hpp.

References Exponent::GUI::Controls::CControl::m_uniqueId.

virtual void Exponent::GUI::Controls::CAutoAnimation::setAnimationImage | ( | IImage * | theImage,
|  | const long | heightOfEachFrame,
|  | const long | numberOfFrames |
| ) |  |  | `[virtual]`

Set the image

Parameters:

  | theImage | The image to display
  | heightOfEachFrame | The height of each frame of the animation strip
  | numberOfFrames | The total animtion length in frames

virtual void Exponent::GUI::Controls::CAutoAnimation::setAnimationStyle | ( | const EAnimationStyle | style | ) | `[virtual]`

Set the animation style

Parameters:

  | style | The style of animation

virtual void Exponent::GUI::Controls::CAutoAnimation::startAnimation | ( | const long | updateRateInMillseconds | ) | `[virtual]`

Start the animation

Parameters:

  | updateRateInMillseconds | Time in msec between update calls

virtual void Exponent::GUI::Controls::CAutoAnimation::stopAnimation | ( |  | ) | `[virtual]`

Stop the animation

virtual void Exponent::GUI::Controls::CAutoAnimation::timerExpired | ( |  | ) | `[virtual]`

On expired increment value and redraw

Implements Exponent::GUI::Basics::ITimedObject.

## Member Data Documentation

EAnimationStyle Exponent::GUI::Controls::CAutoAnimation::m_animationStyle`[protected]`

Style of animation

Definition at line 126 of file CAutoAnimation.hpp.

bool Exponent::GUI::Controls::CAutoAnimation::m_forward`[protected]`

Currently going forward?

Definition at line 127 of file CAutoAnimation.hpp.

double Exponent::GUI::Controls::CAutoAnimation::m_stepIncrement`[protected]`

Size of the increment for each timer update

Definition at line 125 of file CAutoAnimation.hpp.